### A free/open-source library for quantitative finance

Public Member Functions
IntegralEngine Class Reference
Vanilla option engines

Pricing engine for European vanilla options using integral approach. More...

`#include <ql/pricingengines/vanilla/integralengine.hpp>`

Inherits engine.

List of all members.

## Public Member Functions

| IntegralEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Detailed Description

Pricing engine for European vanilla options using integral approach.

Possible enhancements:
  define tolerance for calculate()

Examples:
  EquityOption.cpp.